<div class="row">
  <div class="col-md-12">
    <div class="main-card mb-3 card">
      <div class="card-header">Variable List
        <div class="btn-actions-pane-right">
          <div role="group" class="btn-group-sm btn-group">
            <button class="btn btn-focus mat-raised-button mat-accent" (click)="openLg(content)">New Variable</button>
          </div>
        </div>
      </div>
      <div class="table-responsive">
        <table class="align-middle mb-0 table table-borderless table-striped table-hover">
          <thead>
            <tr>

              <th class="text-center">Station Name </th>
              <th class="text-center">Location Name</th>
              <th class="text-center">Device Name</th>
              <th class="text-center">Full Name</th>
              <th class="text-center">Variable Name</th>
              <th class="text-center">Unit</th>
              <th class="text-center">Create Date</th>
              <th class="text-center">Update Date</th>
              <th class="text-center">Status</th>
              <th class="text-center">Action</th>

            </tr>
          </thead>
          <tbody>
            <tr>

              <td>
                <div class="card-body">
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option></mat-option>
                      <mat-option value="option1">Option 1</mat-option>
                      <mat-option value="option2">Option 2</mat-option>
                      <mat-option value="option3">Option 3</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>
              <td>
                <div class="card-body">
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option></mat-option>
                      <mat-option value="option1">Option 1</mat-option>
                      <mat-option value="option2">Option 2</mat-option>
                      <mat-option value="option3">Option 3</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>
              <td class="text-center">
                <div class="card-body">
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option></mat-option>
                      <mat-option value="option1">Option 1</mat-option>
                      <mat-option value="option2">Option 2</mat-option>
                      <mat-option value="option3">Option 3</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>
              <td class="text-center">

              </td>

              <td class="text-center">

              </td>
              <td class="text-center">

              </td>


              <td class="text-center">
                <div class="widget-content p-0">

                </div>
              </td>

              <td class="text-center">

              </td>

              <td class="text-center">
                <div class="card-body">
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option>selects</mat-option>
                      <mat-option value="option1">Option 1</mat-option>
                      <mat-option value="option2">Option 2</mat-option>
                      <mat-option value="option3">Option 3</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>

              <td class="text-center">
                <button class="btn-wide btn btn-success">Search</button>
              </td>
            </tr>


          </tbody>

            <tbody *ngFor="let variable of variablelist">

            <tr>
              <td class="text-center text-muted">{{variable.device.station.parent.name}}</td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading"> {{variable.device.station.name}}</div>
                </div>
              </td>
              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{variable.device.name}}</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{variable.variable_full_name}} </div>
                </div>
              </td>
              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{variable.variable_name}} </div>
                </div>
              </td>
              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{variable.variable_unit}} </div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{variable.created_at}} </div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content ">{{variable.updated_at}} </div>
              </td>

              <td class="text-center">
                <div class="widget-content badge badge-success">
                  <div class="widget-heading">Active</div>
                </div>
              </td>

              <td class="text-center">
                <button _ngcontent-c7="" class="mr-2 mb-2 mat-raised-button mat-accent" color="accent"
                  mat-raised-button="" ng-reflect-color="accent"><span class="mat-button-wrapper">Edit</span>
                  <div class="mat-button-ripple mat-ripple" matripple="" ng-reflect-centered="false"
                    ng-reflect-disabled="false" ng-reflect-trigger="[object HTMLButtonElement]"></div>
                  <div class="mat-button-focus-overlay"></div>
                </button>
              </td>
            </tr>

          </tbody>
        </table>
      </div>
      <div class="d-block text-center card-footer">
        <button class="mr-2 btn-icon btn-icon-only btn btn-outline-danger"><i class="pe-7s-trash btn-icon-wrapper"> </i>
        </button>
        <button class="btn-wide btn btn-success">Save</button>
      </div>
    </div>
  </div>
</div>









<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title">{{header}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <form [formGroup]="staffForm" (ngSubmit)="onSubmit()" #form="ngForm">

    <div class="modal-body">
      <input type="hidden" formControlName="is_active" value="1">


      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="station" #mySelect (change)='onOptionsSelected(mySelect.value)'>
          <option value="">Select Station</option>
          <option *ngFor="let station of stationList" [value]="station.id">
            {{station.name}}
          </option>


        </select>
      </mat-form-field>


      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="location">
          <option value="">Select Location</option>
          <option *ngFor="let location of locationList" [value]="location.id">
            {{location.name}}
          </option>
        </select>
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Variable Full Name" required formControlName="variable_full_name" />
      </mat-form-field>

      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="device">
          <option value="">Select Device</option>

          <option *ngFor="let device of tabList" [value]="device.id">
            {{device.device_id}}
          </option>
        </select>
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Variable Name" required formControlName="variable_name" />
      </mat-form-field>



      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="variable_unit">
          <option value="">Select Unit</option>
          <option value="%">%</option>
          <option value=".">.</option>
          <option value="AMP">AMP</option>
          <option value="FFT">FFT</option>
          <option value="G">G</option>
          <option value="GMS">GMS</option>
          <option value="Litre">Litre</option>
          <option value="Meter">Meter</option>
          <option value="On/Off">On/Off</option>
          <option value="Open/Close">Open/Close</option>
          <option value="Pa">Pa</option>
          <option value="RMS">RMS</option>
          <option value="Volt">Volt</option>
          <option value="Yes/No">Yes/No</option>
          <option value="cm">cm</option>
          <option value="gm">gm</option>
          <option value="mm">mm</option>
          <option value="°C">°C</option>
          <option value="°Lat">°Lat</option>
          <option value="°Long">°Long</option>

        </select>
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Compare Chart" required formControlName="compare_chart" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Status Chart" required formControlName="status_chart" />
      </mat-form-field>

    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary">Save</button>
    </div>
  </form>
</ng-template>